diff -ur --exclude=CVS --new-file sdcc.CVS/as/mcs51/Makefile.in sdcc/as/mcs51/Makefile.in
--- sdcc.CVS/as/mcs51/Makefile.in	Mon Oct  1 02:55:45 2001
+++ sdcc/as/mcs51/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -93,7 +93,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(ASSOURCES) $(LKSOURCES) *.h $(PRJDIR)/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(ASSOURCES) $(LKSOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(ASSOURCES) $(LKSOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/as/z80/Makefile sdcc/as/z80/Makefile
--- sdcc.CVS/as/z80/Makefile	Sat Oct  6 17:44:03 2001
+++ sdcc/as/z80/Makefile	Mon Aug 12 16:40:52 2002
@@ -27,7 +27,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(SRC) *.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(SRC) > Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(SRC) > Makefile.dep
 
 include Makefile.dep
 
diff -ur --exclude=CVS --new-file sdcc.CVS/as/z80/Makefile.in sdcc/as/z80/Makefile.in
--- sdcc.CVS/as/z80/Makefile.in	Thu Aug 16 14:04:20 2001
+++ sdcc/as/z80/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -76,7 +76,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(ASSOURCES) *.h $(PRJDIR)/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(ASSOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(ASSOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/debugger/mcs51/Makefile.in sdcc/debugger/mcs51/Makefile.in
--- sdcc.CVS/debugger/mcs51/Makefile.in	Sat Oct  6 17:44:03 2001
+++ sdcc/debugger/mcs51/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -88,7 +88,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(SOURCES) *.h $(PRJDIR)/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/device/include/Makefile.in sdcc/device/include/Makefile.in
--- sdcc.CVS/device/include/Makefile.in	Mon Aug 12 09:46:25 2002
+++ sdcc/device/include/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -67,7 +67,7 @@
 dep: #Makefile.dep
 
 #Makefile.dep:
-#	$(CPP) $(CPPFLAGS) $(M_OR_MM) *.c >main.dep
+#	$(CC) $(CPPFLAGS) $(M_OR_MM) *.c >main.dep
 
 #include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/link/z80/Makefile.in sdcc/link/z80/Makefile.in
--- sdcc.CVS/link/z80/Makefile.in	Thu Aug 16 14:09:35 2001
+++ sdcc/link/z80/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -81,7 +81,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(LKSOURCES) *.h $(PRJDIR)/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(LKSOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(LKSOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/avr.src/Makefile.in sdcc/sim/ucsim/avr.src/Makefile.in
--- sdcc.CVS/sim/ucsim/avr.src/Makefile.in	Mon Jan 28 04:19:57 2002
+++ sdcc/sim/ucsim/avr.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -95,7 +95,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/cmd.src/Makefile.in sdcc/sim/ucsim/cmd.src/Makefile.in
--- sdcc.CVS/sim/ucsim/cmd.src/Makefile.in	Mon Jan 28 04:19:57 2002
+++ sdcc/sim/ucsim/cmd.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -78,7 +78,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/gui.src/Makefile.in sdcc/sim/ucsim/gui.src/Makefile.in
--- sdcc.CVS/sim/ucsim/gui.src/Makefile.in	Mon Jan 28 04:19:58 2002
+++ sdcc/sim/ucsim/gui.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -137,7 +137,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(ALL_SOURCES) *.h
-	$(CXXCPP) -MM $(CPPFLAGS) $(M_OR_MM) $(ALL_SOURCES) >Makefile.dep
+	$(CXX) -MM $(CPPFLAGS) $(M_OR_MM) $(ALL_SOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/gui.src/obsolete/portmon.src/Makefile.in sdcc/sim/ucsim/gui.src/obsolete/portmon.src/Makefile.in
--- sdcc.CVS/sim/ucsim/gui.src/obsolete/portmon.src/Makefile.in	Mon Apr  2 07:08:48 2001
+++ sdcc/sim/ucsim/gui.src/obsolete/portmon.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -78,7 +78,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h $(PRJDIR)/*.h $(PKGDIR)/*.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/gui.src/serio.src/Makefile.in sdcc/sim/ucsim/gui.src/serio.src/Makefile.in
--- sdcc.CVS/sim/ucsim/gui.src/serio.src/Makefile.in	Tue Apr  9 07:46:57 2002
+++ sdcc/sim/ucsim/gui.src/serio.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -80,7 +80,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h *.hh
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/main_in.mk sdcc/sim/ucsim/main_in.mk
--- sdcc.CVS/sim/ucsim/main_in.mk	Mon Jan 28 04:19:57 2002
+++ sdcc/sim/ucsim/main_in.mk	Mon Aug 12 16:40:52 2002
@@ -94,7 +94,7 @@
 dep: main.dep
 
 main.dep: $(ALL_SOURCES) *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) $(ALL_SOURCES) >main.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) $(ALL_SOURCES) >main.dep
 
 include main.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/s51.src/Makefile.in sdcc/sim/ucsim/s51.src/Makefile.in
--- sdcc.CVS/sim/ucsim/s51.src/Makefile.in	Mon Jan 28 04:19:58 2002
+++ sdcc/sim/ucsim/s51.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -101,7 +101,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/sim.src/Makefile.in sdcc/sim/ucsim/sim.src/Makefile.in
--- sdcc.CVS/sim/ucsim/sim.src/Makefile.in	Mon Jan 28 04:19:58 2002
+++ sdcc/sim/ucsim/sim.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -80,7 +80,7 @@
 dep: main.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/xa.src/Makefile.in sdcc/sim/ucsim/xa.src/Makefile.in
--- sdcc.CVS/sim/ucsim/xa.src/Makefile.in	Mon Jan 28 04:19:58 2002
+++ sdcc/sim/ucsim/xa.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -85,7 +85,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/sim/ucsim/z80.src/Makefile.in sdcc/sim/ucsim/z80.src/Makefile.in
--- sdcc.CVS/sim/ucsim/z80.src/Makefile.in	Mon Jan 28 04:19:58 2002
+++ sdcc/sim/ucsim/z80.src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -102,7 +102,7 @@
 dep: Makefile.dep
 
 Makefile.dep: *.cc *.h
-	$(CXXCPP) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
+	$(CXX) $(CPPFLAGS) $(M_OR_MM) *.cc >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/src/Makefile.in sdcc/src/Makefile.in
--- sdcc.CVS/src/Makefile.in	Mon Oct  1 02:55:45 2001
+++ sdcc/src/Makefile.in	Mon Aug 12 16:40:52 2002
@@ -84,7 +84,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(SOURCES) $(SPECIAL) *.h $(PRJDIR)/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
 
 include Makefile.dep
 include clean.mk
diff -ur --exclude=CVS --new-file sdcc.CVS/src/port.mk sdcc/src/port.mk
--- sdcc.CVS/src/port.mk	Sun Sep 30 12:42:31 2001
+++ sdcc/src/port.mk	Mon Aug 12 16:40:52 2002
@@ -39,7 +39,7 @@
 dep: Makefile.dep
 
 Makefile.dep: $(PREBUILD) Makefile $(SOURCES) $(SPECIAL) *.h $(PRJDIR)/*.h $(PRJDIR)/src/*.h
-	$(CPP) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
+	$(CC) $(CPPFLAGS) $(M_OR_MM) $(SOURCES) >Makefile.dep
 
 include Makefile.dep
 
